Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036774
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] StoreServermajoralways2017-08-23 09:222017-10-31 17:12
ReporterlorenzofidalgoView Statuspublic 
Assigned Tomigueldejuana 
PriorityimmediateResolutionfixedFixed in VersionRR17Q2.4
StatusclosedFix in branchFixed in SCM revision9f48c534d59a
ProjectionnoneETAnoneTarget VersionRR17Q2.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Toguilleaer
Regression levelPackaging and release
Regression date
Regression introduced in releasemain
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036774: [RR17Q3][StoreServer][HighVol] Searching for Layaways only one record is shown and it is "Undefined"

DescriptionWith a Store Server + High Vol. configuration, searching for Layaways is not possible, a wrong record is shown and it is not possible opening that record. In a RR17Q3 context without Store Server or High Vol. this issue is not reproducible. It seems to be related with Store Server, High Vol or configuration.
Steps To Reproduce0-With a Store Server + High Vol. context, login in a POS Store as vallblanca.
1-Click dropdown menu, and select Layaways option.
2-Click search button using no filters and realise only a record is shown and that record is "Undefined".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036698 closedmigueldejuana [RR17Q3][StoreServer][HighVol] Searching for Layaways only one record is shown and it is "Undefined" 

-  Notes
(0100140)
hgbot (developer)
2017-10-30 11:57

Repository: retail/backports/3.0RR17Q2.4/org.openbravo.retail.posterminal
Changeset: 8b72acd02183df703a6dba642764baabed5e2419
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Oct 30 11:56:51 2017 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR17Q2.4/org.openbravo.retail.posterminal/rev/8b72acd02183df703a6dba642764baabed5e2419 [^]

Fixed issue 0036774: [RR17Q3][StoreServer][HighVol] Searching for Layaways only one record is shown and it is "Undefined"

- Handle exceptions when loading receipts from backend

---
M web/org.openbravo.retail.posterminal/js/components/modalmultiorders.js
M web/org.openbravo.retail.posterminal/js/components/modalpaidreceipts.js
---
(0100185)
guilleaer (developer)
2017-10-31 12:05

In case of error without exception (Should not happen but its better to be ready) web POS should show a generic error.
(0100197)
hgbot (developer)
2017-10-31 16:20

Repository: retail/backports/3.0RR17Q2.4/org.openbravo.retail.posterminal
Changeset: 9f48c534d59a9dd5cf280d21c132371a2687591f
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Oct 31 16:20:12 2017 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR17Q2.4/org.openbravo.retail.posterminal/rev/9f48c534d59a9dd5cf280d21c132371a2687591f [^]

Fixed issue 0036774: [RR17Q3][StoreServer][HighVol] Searching for Layaways only one record is shown and it is "Undefined"

- If it fails we have to show the message always, not just when data.exception exists

---
M web/org.openbravo.retail.posterminal/js/components/modalmultiorders.js
M web/org.openbravo.retail.posterminal/js/components/modalpaidreceipts.js
---

- Issue History
Date Modified Username Field Change
2017-09-04 11:06 marvintm Type defect => backport
2017-09-04 11:06 marvintm Target Version => RR17Q2.3
2017-09-12 14:04 marvintm Target Version RR17Q2.3 => RR17Q2.4
2017-10-30 11:57 hgbot Checkin
2017-10-30 11:57 hgbot Note Added: 0100140
2017-10-30 11:57 hgbot Status scheduled => resolved
2017-10-30 11:57 hgbot Resolution open => fixed
2017-10-30 11:57 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR17Q2.4/org.openbravo.retail.posterminal/rev/8b72acd02183df703a6dba642764baabed5e2419 [^]
2017-10-31 09:26 marvintm Assigned To Retail => migueldejuana
2017-10-31 12:05 guilleaer Note Added: 0100185
2017-10-31 12:05 guilleaer Status resolved => new
2017-10-31 12:05 guilleaer Resolution fixed => open
2017-10-31 12:11 guilleaer Status new => scheduled
2017-10-31 16:20 hgbot Checkin
2017-10-31 16:20 hgbot Note Added: 0100197
2017-10-31 16:20 hgbot Status scheduled => resolved
2017-10-31 16:20 hgbot Resolution open => fixed
2017-10-31 16:20 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR17Q2.4/org.openbravo.retail.posterminal/rev/8b72acd02183df703a6dba642764baabed5e2419 [^] => http://code.openbravo.com/retail/backports/3.0RR17Q2.4/org.openbravo.retail.posterminal/rev/9f48c534d59a9dd5cf280d21c132371a2687591f [^]
2017-10-31 17:12 guilleaer Review Assigned To => guilleaer
2017-10-31 17:12 guilleaer Status resolved => closed
2017-10-31 17:12 guilleaer Fixed in Version => RR17Q2.4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker